<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="GetSelectedCheckedNodesClientSide.aspx.cs" Inherits="Geekees.Common.Controls.Demo.GetSelectedCheckedNodesClientSide" %>
<%@ Register Assembly="ASTreeView" Namespace="Geekees.Common.Controls" TagPrefix="ct" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title>Get selected nodes and checked nodes client side.</title>
	<link href="<%=ResolveUrl("~/javascript/astreeview/astreeview.css")%>" type="text/css" rel="stylesheet" />
	<link href="<%=ResolveUrl("~/javascript/contextmenu/contextmenu.css")%>" type="text/css" rel="stylesheet" />
	
	<script src="<%=ResolveUrl("~/javascript/astreeview/astreeview_packed.js")%>" type="text/javascript"></script>
	<script src="<%=ResolveUrl("~/javascript/contextmenu/contextmenu_packed.js")%>" type="text/javascript"></script>
	
	
	<script type="text/javascript">
		function selectionHandler(){
			var tempText = '';
			function tempOnSelectHandler(li){
				if( li.getAttribute('selected') != 'true' )
					return;

				var a = li.getElementsByTagName('A')[0];
				if( !a )
					return;
				tempText += (a.innerHTML + ',');
				
			}
			<%=this.astvMyTree.GetClientTreeObjectId() %>.traverseTreeNode( tempOnSelectHandler );

			if( tempText.length > 0 )
				tempText = tempText.substr( 0, tempText.length - 1 );

			document.getElementById('<%=txtSelectedNode.ClientID %>').value = tempText;
		}
		
		function checkHandler(){
			var tempText = '';
			function tempOnCheckedHandler(li){
				var includeHalfChecked = true;
				if( li.getAttribute('checkedState') == '0' || ( li.getAttribute('checkedState') == '1' && includeHalfChecked ) ){
					var a = li.getElementsByTagName('A')[0];
					if( !a )
						return;
					tempText += (a.innerHTML + ',');
				}
			}
			
			<%=this.astvMyTree.GetClientTreeObjectId() %>.traverseTreeNode( tempOnCheckedHandler );

			if( tempText.length > 0 )
				tempText = tempText.substr( 0, tempText.length - 1 );
				
			document.getElementById('<%=txtCheckedNodes.ClientID %>').value = tempText;

		}
	</script>
	
</head>
<body>
    <form id="form1" runat="server">
    
		<h2>Get selected nodes and checked nodes client side.</h2>
    <div>
		<asp:TextBox ID="txtSelectedNode" runat="server"></asp:TextBox><br />
		<asp:TextBox ID="txtCheckedNodes" runat="server" Width="500" TextMode="MultiLine"></asp:TextBox>
	</div>
    <div>
		<table>
			<tr valign="top">
				<td width="400">
					<ct:ASTreeView ID="astvMyTree" 
						runat="server"
						BasePath="~/Javascript/astreeview/"
						DataTableRootNodeValue="0"
						EnableRoot="true" 
						EnableNodeSelection="true" 
						EnableCheckbox="true" 
						EnableDragDrop="true" 
						EnableTreeLines="true"
						EnableNodeIcon="true"
						EnableCustomizedNodeIcon="false"
						EnableDebugMode="false"
						EnableContextMenuAdd="false"
						EnableParentNodeExpand="true"
						OnNodeSelectedScript="selectionHandler(elem);"
						OnNodeCheckedScript="checkHandler(elem);"
						EnableOnNodeDragAndDropStartScriptReturn="true" />
				</td>
			</tr>
		</table>
				
    </div>
    
    </form>
</body>
</html>
